Bug 129944 - popt: support for lone dashes
Summary: popt: support for lone dashes
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-15 07:47 UTC by Jan Engelhardt
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 16:24:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to recognize lone dashes (STDIN/STDOUT) (732 bytes, patch)
2004-08-15 07:48 UTC, Jan Engelhardt
no flags Details | Diff
simple test app (1.13 KB, text/plain)
2004-08-15 07:49 UTC, Jan Engelhardt
no flags Details

Description Jan Engelhardt 2004-08-15 07:47:29 UTC
Description of problem:
popt does not recognize lone dashes, i.e. "-" which are commonly used
to specify STDIN/STDOUT, but instead says "-: unknown option".

Version-Release number of selected component (if applicable):
rpm-4.1.1-177 / popt-1.7-176.3 (from SuSE, sorry ;-))

Additional info:
I have attached a patch that implements the feature to recognize such
lone dashes, as well as a simple test.c.

How to reproduce:
test.c, if compiled and run as "a.out AX -a BX - CX -a DX" should
yield "-: unknown option, a.out AX -a BX - CX -a DX" without the patch,
"AX BX - CX DX" with patch.


BTW, "popt" is missing in the "Component" list.

Comment 1 Jan Engelhardt 2004-08-15 07:48:37 UTC
Created attachment 102739 [details]
Patch to recognize lone dashes (STDIN/STDOUT)

Comment 2 Jan Engelhardt 2004-08-15 07:49:50 UTC
Created attachment 102740 [details]
simple test app

Comment 3 Jan Engelhardt 2004-10-21 16:10:59 UTC
Anything?

Comment 4 Jan Engelhardt 2005-03-14 12:07:36 UTC
*bump*

Comment 5 Jan Engelhardt 2005-04-29 15:34:05 UTC
Does anybody look at this even?

Comment 6 Jeff Johnson 2005-11-02 16:24:07 UTC
Patch added to popt CVS. Should be in rpm-4.4.3-0.32 when built.


Note You need to log in before you can comment on or make changes to this bug.